#! /bin/csh -f
#
#  Multiwavelength SCALA benchmarking script 
#
#
scala hklin scaleme.mtz  hklout scaled.mtz << EOF-scale
# save disk space
NODUMP
ANALYSE NOPLOT

title "Scaler Benchmark"

# resolution range
RESOLUTION 1.79 15.972

# reference data set (F4) is NOT merged
run 999 batch 1 reference

# wavelength F4 : 1.12713 A = 11000.0 eV
# 11000 +     1 to    90 in 4/wedge1/raw.mtz
run     1 11001 to 11090
# 12000 +   181 to   270 in 4/wedge2/raw.mtz
run     2 12181 to 12270

# wavelength F1 : 0.97959 A = 12656.7 eV
# 21000 +     1 to    90 in 1/wedge1/raw.mtz
run     3 21001 to 21090
# 22000 +   181 to   270 in 1/wedge2/raw.mtz
run     4 22181 to 22270


# global SCALA cards
SDCORR 0.78 9 0

#### treatment of partials ###### default, scale fulls only
#intensities partials		# use summed partials as fulls in scaling
#intensities scale_partials 0.8	# use extrapolated partials (by their fraction recorded) as fulls in scaling

#### type of scaling to be done ##########
#intensities anomalous                                    # scale I+ and I- as separate data sets
#scales batch bfactor off                                # one scale per frame
#scales batch bfactor on                                 # one scale and one B-factor per frame
#scales batch brotation spacing 10 bfactor on            # same, but B-factor smoothed over 10-degree window
#scales batch brotation spacing 10 bfactor anisotropic   # same, but anisotropic B-factor
#scales rotation spacing 10 bfactor on                   # scales smoothed over 10-degree window, B-factors follow SAME rule
scales rotation spacing 10 detector 3 3                 # no B-factors, 9, smooth detector scales instead
#scales rotation spacing 10 brotation spacing 10	 # Scaler Elves's opinion

# perhaps tie these down to prevent wild swings in scaling? 
#tie rotation 0.2
#tie detector 0.2

cycles 100 converge 0.1	# need not converge completely
#filter 1.0e-4 0.01	# if convergence is oscillating

#reject byrun			# don't reject spots on comparison between wavelengths

# print out statistics for I+/I- instead of Imean
anomalous

# do not merge (yet)
#output separate reference

EOF-scale

